### A free/open-source library for quantitative finance

Public Member Functions
YYGenericCPIr Class Reference

Fake year-on-year GenericCPI (i.e. a ratio) More...

`#include <ql/experimental/inflation/genericindexes.hpp>`

Inheritance diagram for YYGenericCPIr:
[legend]

List of all members.

## Public Member Functions

| YYGenericCPIr (Frequency frequency, bool revised, bool interpolated, const Period &lag, const Currency &ccy, const Handle< YoYInflationTermStructure > &ts=Handle< YoYInflationTermStructure >())

## Detailed Description

Fake year-on-year GenericCPI (i.e. a ratio)